Package ru.bitel.bgbilling.plugins.dispatch.server.sender

# Class EmailSender

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.plugins.dispatch.server.sender.EmailSender

All Implemented Interfaces:
  `Sender`

public class EmailSender extends ru.bitel.bgbilling.kernel.base.server.logger.BGLogger implements Sender
Отправка по Email

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EmailSender()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `send(Contact contact, String title, String messageBody, List<jakarta.activation.DataSource> messageFiles)`
  `void`
  `send(Contact contact, String title, String messageBody, List<jakarta.activation.DataSource> messageFiles, Subscription subscription)`
  Метод `Sender.send(Contact, String, String, List)`, дополненный информацией о подписке, в которой есть доступ к рассылке, контактам, условиям отправки и т.д.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EmailSender

    public EmailSender()

- ## Method Details

  - ### send

    public void send(Contact contact, String title, String messageBody, List<jakarta.activation.DataSource> messageFiles) throws ru.bitel.bgbilling.common.BGException
    Specified by:
      `send` in interface `Sender`
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### send

    public void send(Contact contact, String title, String messageBody, List<jakarta.activation.DataSource> messageFiles, Subscription subscription) throws ru.bitel.bgbilling.common.BGException
    Description copied from interface: `Sender`
    Метод `Sender.send(Contact, String, String, List)`, дополненный информацией о подписке, в которой есть доступ к рассылке, контактам, условиям отправки и т.д. Сделан как метод по умолчанию, что не сломать имеющиеся классы-реализации.
    Specified by:
      `send` in interface `Sender`
    Parameters:
      `contact` - контакт, которму рассылается сообщение
      `title` - заголовок сообщения (для email это тема)
      `messageBody` - основной текст сообщения, которое будет отправлено подписчику
      `messageFiles` - прикладываемые файлы в виде DataSource
      `subscription` - подписка, по которой отправляется сообщение
    Throws:
      `ru.bitel.bgbilling.common.BGException`